Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.io
Class EncodingBufferFullException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.io.CharConversionException
                      com.novell.io.EncodingBufferFullException

All Implemented Interfaces:
  Serializable

    public class EncodingBufferFullException

extends CharConversionException

An exception designed to be thrown when a CharEncoder object overruns the buffer passed to it.

See Also:
  Serialized Form

Constructor Summary
`EncodingBufferFullException(int outputIndex, int inputIndex)` Create an exception with the char value and offset

Method Summary
`int` | `getInputIndex()` Get the offset into the input character buffer
`String` | `getMessage()` Return message
`int` | `getOutputIndex()` Get the index into the output buffer before which the last valid bytes reside

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EncodingBufferFullException

    public EncodingBufferFullException(int outputIndex,
                                       int inputIndex)

  Create an exception with the char value and offset

  Parameters:
    `outputIndex` - The index after the last value bytes in the output buffer
    `inputIndex` - The index of the next character to convert in the input buffer

Method Detail

### getMessage

    public String getMessage()

  Return message

  Overrides:
    `getMessage` in class `Throwable`
  Returns:
    A message describing exception

### getOutputIndex

    public int getOutputIndex()

  Get the index into the output buffer before which the last valid bytes reside

  Returns:
    The buffer index

### getInputIndex

    public int getInputIndex()

  Get the offset into the input character buffer

  Returns:
    The offset of the next character to encode

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD